%define name		xanim-codecs
%define version		1.0
%define release		5plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XAnim codecs binaries
License:	Commercial
Group:		System/Libraries
URL:		http://xanim.va.pubnix.com/xa_dlls.html
# i86 sources
Source10:	vid_cvid_2.1_linuxELFx86c6.tar.bz2
Source11:	vid_cyuv_1.0_linuxELFx86c6.tar.bz2
Source12:	vid_h261_1.0_linuxELFx86c6.tar.bz2
Source13:	vid_h263_1.1_linuxELFx86c6.tar.bz2
Source14:	vid_iv32_2.1_linuxELFx86c6.tar.bz2
Source15:	vid_iv41_1.1_linuxELFx86c6.tar.bz2
Source16:	vid_iv50_1.0_linuxELFx86c6.tar.bz2
# ppc sources
Source20:	vid_cvid_2.1_linuxELFppc.tar.bz2
Source21:	vid_cyuv_1.0_linuxELFppc.tar.bz2
Source22:	vid_h261_1.0_linuxELFppc.tar.bz2
Source23:	vid_h263_1.0_linuxELFppc.tar.bz2
Source24:	vid_iv32_2.1_linuxELFppc.tar.bz2
Source25:	vid_iv41_1.1_linuxELFppc.tar.bz2
Source26:	vid_iv50_1.0_linuxELFppc.tar.bz2
# alpha sources
Source30:	vid_cvid_2.1_linuxELFalphaC6.tar.bz2
Source31:	vid_cyuv_1.0_linuxELFalphaC6.tar.bz2
Source32:	vid_h261_1.0_linuxELFalphaC6.tar.bz2
Source33:	vid_h263_1.1_linuxELFalphaC6.tar.bz2
Source34:	vid_iv32_2.1_linuxELFalphaC6.tar.bz2
Source35:	vid_iv41_1.1_linuxELFalphaC6.tar.bz2
Source36:	vid_iv50_1.0_linuxELFalphaC6.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
This package contains XAnim codecs binaries.

This package is in PLF for it's closed source nature.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T -D
%ifarch %{ix86} athlon
%setup -q -T -D -a 10
%setup -q -T -D -a 11
%setup -q -T -D -a 12
%setup -q -T -D -a 13
%setup -q -T -D -a 14
%setup -q -T -D -a 15
%setup -q -T -D -a 16
%endif
%ifarch ppc
%setup -q -T -D -a 20
%setup -q -T -D -a 21
%setup -q -T -D -a 22
%setup -q -T -D -a 23
%setup -q -T -D -a 24
%setup -q -T -D -a 25
%setup -q -T -D -a 26
%endif
%ifarch alpha
%setup -q -T -D -a 30
%setup -q -T -D -a 31
%setup -q -T -D -a 32
%setup -q -T -D -a 33
%setup -q -T -D -a 34
%setup -q -T -D -a 35
%setup -q -T -D -a 26
%endif

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/xanim/mods
install -m 644 *.xa $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/xanim/mods
cd $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/xanim/mods
ln -s vid_cvid* vid_cvid.xa
ln -s vid_cyuv* vid_cyuv.xa
ln -s vid_h261* vid_h261.xa
ln -s vid_h263* vid_h263.xa
ln -s vid_iv32* vid_iv32.xa
ln -s vid_iv41* vid_iv41.xa
ln -s vid_iv50* vid_iv50.xa

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc *.readme
%dir %{_prefix}/X11R6/lib/xanim/
%{_prefix}/X11R6/lib/xanim/mods

%changelog
* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 1.0-5plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.0-4plf
- quiet tar
- fix description

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0-3plf
- fix dir ownership

* Tue Jul 30 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.0-2plf
- add symlinks for compatibility with MPlayer

* Sat Jul 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-1plf
- first plf release
